
from contextlib import contextmanager
from unittest.mock import patch

from odoo.tests import tagged
from odoo.addons.base.tests.common import HttpCaseWithUserPortal


@tagged("post_install", "-at_install", "vcs_git", "external")
class TestUi(HttpCaseWithUserPortal):

    def setUp(self):
        super().setUp()
        # force oauth remote uid as only oauth-users are allowed to register
        # new registories from the frontend
        self.user_portal.oauth_uid = "dummy_oauth_uid"

    def test_01_apps_maintainer_tour(self):
        self.start_tour("/", "apps_maintainer_tour", login="portal")
